%define name freerapid
%define version 0.83
%define release %mkrel 1

Summary: FreeRapid - A downloader for Rapidshare and other file shares 
Name:	%{name}
Version: %{version}
Release: %{release}
URL:	http://wordrider.net/freerapid
Group:	Networking/Other
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0: FreeRapid-%{version}.tar.xz
Requires: java >= 1.6
BuildArch: noarch

%description
FreeRapid is a simple Java downloader for Rapidshare and other file share archives. 
It has support for concurrent dwnloading from multiple services, and is able to use 
a proxy list. Code also contains a simple API for adding other services like plugins.

%prep
%setup -q -n FreeRapid-%{version}

%build

%install
rm -rf %{buildroot}
%__install -dm 755 %{buildroot}%{_datadir}/%{name}/lib
%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__install -m 644 syscmd.properties %{buildroot}%{_datadir}/%{name}
%__install -m 755 frd.exe %{buildroot}%{_datadir}/%{name}
%__install -m 755 frd.sh %{buildroot}%{_datadir}/%{name}
%__install -m 644 frd.jar %{buildroot}%{_datadir}/%{name}
%__install -m 644 lib/*.jar %{buildroot}%{_datadir}/%{name}/lib
cp -af lookandfeel %{buildroot}%{_datadir}/%{name}
cp -af tools %{buildroot}%{_datadir}/%{name}

# plugins
%__install -dm 755 %{buildroot}%{_datadir}/%{name}/plugins
%__install -m 644 plugins/* %{buildroot}%{_datadir}/%{name}/plugins

# startscript
%__install -dm 755 %{buildroot}%{_bindir}
%__cat > %{name}.sh <<EOF
#! /bin/bash
cd %{_datadir}/%{name}
./frd.sh
EOF
%__install -m 755 %{name}.sh %{buildroot}%{_bindir}

chmod +x %{buildroot}%{_bindir}/%{name}.sh

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 frd.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=FreeRapid
Comment=FreeRapid - A downloader for Rapidshare and other file share archives
GenericName=FreeRapid
Type=Application
Terminal=false
Exec=%{name}.sh
Icon=%{name}
Encoding=UTF-8
Categories=Network;P2P;X-MandrivaLinux-Internet-FileTransfer
EOF

%clean
rm -rf %{buildroot}

%post
# make the plugin world-writable
%__chmod 777 %{_datadir}/%{name}/plugins
%__chmod 666 %{_datadir}/%{name}/plugins/*.frp


%files
%defattr(-,root,root)
%doc License copyright
%doc doc/*
%{_bindir}/%{name}.sh
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.png

%changelog
* Fri Jul 09 2010 Texstar <texstar at gmail.com> 0.83-1pclos2010
- 0.83

* Tue Aug 04 2009 slick50 <lxgator@gmail.com> 0.82-1pclos2009
- initial pkg
